<?php

use RedBeanPHP\R;

class Project {

    protected $table;

    function __construct() {
        $settings = require __DIR__ . '/../settings.php';
        $this->table = $settings['settings']['db']['prefix'].'project';
    }

    public function getProjects($page = 0) {
        $result = array();

        // $projects = R::xdispense($tbl_name);
        $projects = R::findAll( $this->table , " LIMIT $page, 10 " );

        foreach ($projects as $project)
            $result[] = array("id" => $project->id, "name" => $project->project, "description" => $project->description);

        return $result;
    }

    public function getProject($id) {
        $project = R::load( $this->table , $id );
        $result = array("id" => $project->id, "name" => $project->project, "description" => $project->description);

        $article = new Article();
        $result["tasks"] = $article->getArticles($id);

        return $result;
    }
}
