// Filename: models/project
define([
    'underscore',
    'backbone'
], function(
    _,
    Backbone) {

    var UserModel = Backbone.Model.extend({
        url: function() {
            return this.instanceUrl;
        },

        initialize: function(props){
            this.instanceUrl = props.url;
        },

        defaults: {
            username: "",
            token: ""
        }
    });

    return UserModel;
});
